#ifndef ScanRootGui_HH
#define ScanRootGui_HH

#include "ScanRoot.h"
#include "TControlBar.h"
#include "TGLabel.h"
#include "TGTextBuffer.h"
#include "TGTextEntry.h"
#include "TGButton.h"
#include "PelTools.h"
#include "TString.h"
#include "TGLabel.h"
#include "TGTextBuffer.h"
#include "TGTextEntry.h"
#include "TGButton.h"
#include "TGMsgBox.h"
#include "TGClient.h"
#include "TDialog.h"
#include <iostream>
#include "TGClient.h"
#include "TGApplication.h"
#include "TGMsgBox.h"
#include "TGFileDialog.h" 

using namespace std;


class ScanRootGui : public ScanRoot
{
  private:
     TControlBar*    mBar;
     PelTools*       mTools;
             
  public:
                     ScanRootGui(bool = false);
                     ScanRootGui(TDirectory*);
    virtual          ~ScanRootGui();  
        
    void             menu();
    void             help(); 
    void             openInputGUI();
    void             openOutputGUI();
    void             outputSaveModeGUI();
    void             hacGUI();
    void             saveHistGUI();
    void             addHistGUI();
    void             loadL2GUI();
    void             unloadL2GUI();
    void             zeroGUI();
    void             goGUI();
    void             setNParGUI();
    void             pelTools() { if(mTools) mTools->menu();}
    void             quitGUI();
    void             debugGUI();
    void             initGUI();
    void             finishGUI();

    
  ClassDef(ScanRootGui,1)
};
#endif
