#include "defines.h"

class Program: public TObject
{
  private:
    int     mLine;
    int     mFlag;
    int     mPos;
    unsigned int     mComp[10];
    int     mNComp;
    TString mCode;
    TString mLabel;
    TList   mList;
  
  public:
            Program();
    virtual ~Program();
    
    int     process();
    
    void    setLine(int l)      { mLine = l;}
    void    setFlag(int f)      { mFlag = f;}
    void    setCode(char* c)    { mCode = c;}
    void    setLabel(char* c)   { mLabel = c;}
    void    setPosition(int p)  { mPos = p;}
    void    addComp(unsigned int v)      { mComp[mNComp++] = v;}
    
    char*   getCode(bool removeComment = false);           
    int     getLine()           { return mLine;}
    char*   getLabel()          { return (char*)mLabel.Data();}
    TList*  getList()           { return &mList;}
    int     getFlag()           { return mFlag;}
    int     getPosition()       { return mPos;}
    char*   getCodeClean(char* LINE=NULL);
    
    int     getNComp()           { return mNComp;}
    unsigned int getComp(int i)           { return mComp[i];}
};
